﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Data;
using System.Collections.Generic;

namespace esridemo.Tools
{
    public class NumberFormater:IValueConverter
    {

        object IValueConverter.Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            IDictionary<string, object> dictionary = value as IDictionary<string, object>;
            if ((dictionary != null) && dictionary.ContainsKey(parameter as string))
            {
                return string.Format("{0:N}", (double)dictionary[parameter as string]);
                //return dictionary[parameter as string];
            }
            return null;
        }

        object IValueConverter.ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
